user: 
  username: vpecquerie
  fullname: Vincent PECQUERIE
  shell: /bin/zsh
  email: contact@vincent-p.fr
  homedir: /home/vpecquerie

repositories:
  adoptopenjdk:
    repository: deb [arch=amd64,signed-by=/usr/share/keyrings/adoptopenjdk.gpg] https://adoptopenjdk.jfrog.io/adoptopenjdk/deb/ focal main
    key_url: https://adoptopenjdk.jfrog.io/adoptopenjdk/api/gpg/key/public
  mongodb:
    repository: deb [arch=amd64,signed-by=/usr/share/keyrings/mongodb.gpg] https://repo.mongodb.org/apt/ubuntu focal/mongodb-org/4.4 multiverse
    key_url: https://www.mongodb.org/static/pgp/server-4.4.asc

apt_packages:
  - tmux
  - build-essential
  - vim-nox
  - zsh
  - python3
  - python3-pip
  - jq
  - httpie
  - sudo
  - glances
  - htop
  - iftop
  - iotop
  - gnupg2
  - sshfs
  - rsync 
  - grsync
  - gnome-themes-extra
  - materia-gtk-theme  
  - git
  - dnsutils
  - apt-transport-https
  - ca-certificates
  - curl
  - software-properties-common
  - virtualenv
  - python3-setuptools
  - ruby-full
  - logwatch
  - fail2ban
  - cron-apt
  - adoptopenjdk-11-hotspot
  - adoptopenjdk-16-hotspot
  - maven
  #- mongodb-org
  - snapd
  - wget
  - gnupg2
  - gnupg-agent
  - dirmngr
  - cryptsetup 
  - scdaemon 
  - pcscd 
  - secure-delete 
  - hopenpgp-tools
  - yubikey-personalization
  - pulseaudio-equalizer

debs_packages:
    google_chrome:
        url: https://dl.google.com/linux/direct/google-chrome-stable_current_amd64.deb

targzs: {}
pip_packages: 
  - archey4
  - awscli

gem_packages: 
  - colorls
  - lolcat

snaps_packages:
 - spotify
 - slack
 - postman
 - code
 - gitkraken
 - vlc
 - caprine
 - intellij-idea-ultimate

vscode_extensions: {} 

